org.codehaus.groovy.classgen.asm.indy

## Class IndyCallSiteWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.CallSiteWriter
  - - org.codehaus.groovy.classgen.asm.indy.IndyCallSiteWriter

    public class IndyCallSiteWriter
    extends CallSiteWriter

Dummy class used by the indy implementation. This class mostly contains empty stubs for calls to the call site writer, since this class is normally used to prepare call site caching and in indy call site caching is done by the jvm.

Author:
  Jochen "blackdrag" Theodorou

### Field Summary

### Fields inherited from class org.codehaus.groovy.classgen.asm.CallSiteWriter

`CONSTRUCTOR`

### Constructor Summary

Constructors
Constructor and Description
`IndyCallSiteWriter(WriterController controller)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateCallSiteArray()`
`void` `makeCallSite(Expression receiver, java.lang.String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
`void` `makeCallSiteArrayInitializer()`
`void` `makeGetPropertySite(Expression receiver, java.lang.String name, boolean safe, boolean implicitThis)`
`void` `makeGroovyObjectGetPropertySite(Expression receiver, java.lang.String name, boolean safe, boolean implicitThis)`
`void` `makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)`
`void` `makeSiteEntry()`
`void` `prepareCallSite(java.lang.String message)`

### Methods inherited from class org.codehaus.groovy.classgen.asm.CallSiteWriter

`fallbackAttributeOrPropertySite, getCallSites, hasCallSiteUse, prepareSiteAndReceiver, visitBoxedArgument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndyCallSiteWriter

    public IndyCallSiteWriter(WriterController controller)

### Method Detail

#### generateCallSiteArray

    public void generateCallSiteArray()

Overrides:
  `generateCallSiteArray` in class `CallSiteWriter`

#### makeCallSite

    public void makeCallSite(Expression receiver,
                             java.lang.String message,
                             Expression arguments,
                             boolean safe,
                             boolean implicitThis,
                             boolean callCurrent,
                             boolean callStatic)

Overrides:
  `makeCallSite` in class `CallSiteWriter`

#### makeSingleArgumentCall

    public void makeSingleArgumentCall(Expression receiver,
                                       java.lang.String message,
                                       Expression arguments)

Overrides:
  `makeSingleArgumentCall` in class `CallSiteWriter`

#### prepareCallSite

    public void prepareCallSite(java.lang.String message)

Overrides:
  `prepareCallSite` in class `CallSiteWriter`

#### makeSiteEntry

    public void makeSiteEntry()

Overrides:
  `makeSiteEntry` in class `CallSiteWriter`

#### makeCallSiteArrayInitializer

    public void makeCallSiteArrayInitializer()

Overrides:
  `makeCallSiteArrayInitializer` in class `CallSiteWriter`

#### makeGetPropertySite

    public void makeGetPropertySite(Expression receiver,
                                    java.lang.String name,
                                    boolean safe,
                                    boolean implicitThis)

Overrides:
  `makeGetPropertySite` in class `CallSiteWriter`

#### makeGroovyObjectGetPropertySite

    public void makeGroovyObjectGetPropertySite(Expression receiver,
                                                java.lang.String name,
                                                boolean safe,
                                                boolean implicitThis)

Overrides:
  `makeGroovyObjectGetPropertySite` in class `CallSiteWriter`